# The DOMNodeList class

(PHP 5, PHP 7)

## Class synopsis

DOMNodeList implements Traversable , Countable {
/* Properties */
readonly public int $length ;
/* Methods */
public count ( void ) : int
item ( int `$index` ) : DOMNode
}

## Properties

length

  The number of nodes in the list. The range of valid child node indices is 0 to length - 1 inclusive.

## Changelog

Version | Description
--- | ---
7.2.0 | The Countable interface is implemented and returns the value of the length property.

## See Also

- » W3C specification of NodeList

## Table of Contents

- DOMNodeList::count — Get number of nodes in the list
- DOMNodeList::item — Retrieves a node specified by index